> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an on-chain ID Registry Event for a given Address

> Fetch an on-chain ID Registry Event for a given Address.



## OpenAPI

````yaml get /v1/onChainIdRegistryEventByAddress
openapi: 3.0.4
info:
  title: Farcaster Hub API
  version: 2.35.0
  description: >
    Perform basic queries of Farcaster state via the REST API of a Farcaster
    hub. See the [Neynar docs](https://docs.neynar.com/reference) for more
    details.
  contact:
    name: Neynar
    url: https://neynar.com/
    email: team@neynar.com
servers:
  - url: https://snapchain-api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - name: Info
    description: Operations related to hub information.
  - name: Casts
    description: Operations related to casts.
  - name: Reactions
    description: Operations related to reactions.
  - name: Links
    description: Operations related to links.
  - name: UserData
    description: Operations related to user data.
  - name: Fids
    description: Operations related to FIDs.
  - name: Storage
    description: Operations related to storage limits.
  - name: Usernames
    description: Operations related to usernames.
  - name: Verifications
    description: Operations related to verifications.
  - name: OnChainEvents
    description: Operations related to on-chain events.
  - name: Message
    description: Operations related to messages.
  - name: HubEvents
    description: Operations related to hub events.
paths:
  /v1/onChainIdRegistryEventByAddress:
    get:
      tags:
        - OnChainEvents
      summary: Fetch an on-chain ID Registry Event for a given Address
      description: Fetch an on-chain ID Registry Event for a given Address.
      operationId: lookup-on-chain-id-registry-event-by-address
      parameters:
        - name: address
          in: query
          required: true
          schema:
            pattern: ^0x[0-9a-fA-F]{40}$
            type: string
          description: The ETH address being requested
          example: '0x6b0bda3f2ffed5efc83fa8c024acff1dd45793f1'
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnChainEventIdRegister'
        default:
          $ref: '#/components/responses/ErrorResponse'
      externalDocs:
        description: Fetch an on-chain ID Registry Event for a given Address
        url: >-
          https://docs.neynar.com/reference/lookup-on-chain-id-registry-event-by-address
components:
  schemas:
    OnChainEventIdRegister:
      allOf:
        - $ref: '#/components/schemas/OnChainEventCommon'
        - type: object
          properties:
            idRegisterEventBody:
              $ref: '#/components/schemas/IdRegisterEventBody'
          required:
            - idRegisterEventBody
    OnChainEventCommon:
      type: object
      properties:
        type:
          type: string
          example: EVENT_TYPE_SIGNER
        chainId:
          type: integer
        blockNumber:
          type: integer
        blockHash:
          type: string
          example: '0x75fbbb8b2a4ede67ac350e1b0503c6a152c0091bd8e3ef4a6927d58e088eae28'
        blockTimestamp:
          type: integer
        transactionHash:
          type: string
          example: '0x36ef79e6c460e6ae251908be13116ff0065960adb1ae032b4cc65a8352f28952'
        logIndex:
          type: integer
        txIndex:
          type: integer
        fid:
          type: integer
      required:
        - type
        - chainId
        - blockNumber
        - blockHash
        - blockTimestamp
        - transactionHash
        - logIndex
        - txIndex
        - fid
    IdRegisterEventBody:
      type: object
      properties:
        to:
          pattern: ^0x[a-fA-F0-9]*$
          type: string
          example: '0x00000000fcd5a8e45785c8a4b9a718c9348e4f18'
        eventType:
          $ref: '#/components/schemas/IdRegisterEventType'
        from:
          pattern: ^0x[a-fA-F0-9]*$|^$
          type: string
          example: '0x00000000fcd5a8e45785c8a4b9a718c9348e4f18'
        recoveryAddress:
          pattern: ^0x[a-fA-F0-9]*$
          type: string
          example: '0x00000000fcd5a8e45785c8a4b9a718c9348e4f18'
      required:
        - to
        - from
        - eventType
        - recoveryAddress
    ErrorResponse:
      required:
        - code
        - details
        - errCode
        - metadata
        - name
        - presentable
      type: object
      properties:
        errCode:
          type: string
        presentable:
          type: boolean
        name:
          type: string
        code:
          type: integer
        details:
          type: string
        metadata:
          required:
            - errcode
          type: object
          properties:
            errcode:
              type: array
              items:
                type: string
    IdRegisterEventType:
      type: string
      default: ID_REGISTER_EVENT_TYPE_REGISTER
      enum:
        - ID_REGISTER_EVENT_TYPE_REGISTER
        - ID_REGISTER_EVENT_TYPE_TRANSFER
        - ID_REGISTER_EVENT_TYPE_CHANGE_RECOVERY
  responses:
    ErrorResponse:
      description: An unexpected error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key to authorize requests
      x-default: NEYNAR_API_DOCS

````